Subject: Re: [RFC PATCH 2/4] .clang-format: Add a BitFieldColonSpacing=None rule

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 Jul 2022 15:52:59 -0700

"brian m. carlson" <[email-masked]> writes:

> On 2022-07-11 at 11:37:26, Ævar Arnfjörð Bjarmason wrote:
>> Formatting bitfield as "unsigned foo:1" is the usual style in this
>> project, not "unsigned foo : 1", which clang-format will use by
>> default.
>> 
>> Before & after this change running "make style-all-diff-apply" will
>> yield:
>> 
>> 	582 files changed, 32029 insertions(+), 29794 deletions(-)
>> 	579 files changed, 32065 insertions(+), 29818 deletions(-)
>> 
>> However this highlights a major limitation in this approach, because
>> clang-format v12 or newer is required for this rule, but that version
>> was only released in April 2021.
>
> This isn't supported on Debian stable, which has clang 11.  I think we
> should expect that to be a viable development target here, and I know
> it's what some Git developers actually use.
>
> I think for now we should drop this patch, and we can reconsider it in
> the future.

Earlier, somebody said "things that are not explicitly spelled out
in the guidelines, pick the more prevailing style", but I wonder
which one between "unsigned foo:1" and "unsigned foo : 1" is more
common in the current code.

Also, I am a bit curious why nobody has brought up the checkpatch
script we can borrow from the Linux kernel project.  I used to check
incoming patches before applying them and it was fairly effective in
catching malformed code.